• Recently Browsing

    No registered users viewing this page.

  • Posts

    • I would begin again using the recommended MDK, a lot has been done since the version you have. How exactly are you setting up your workspace?   Tutorials out there can be rough, there are a LOT of them made by people that don't REALLY know what they are doing. McJty has good ones: https://wiki.mcjty.eu/modding/index.php?title=YouTube-1.14   And hopefully you know Java (or are fluent in a similar language), because if you don't, you are going to have a Bad Time trying to mod.
    • I'm just trying to create a new mod. When I launch Eclipse, everything opens normally, I can editcode and all, but I can't build anything because there is that error in the "Errors" tab. I reconfigured the PATH and JAVA_HOME variables because all the tutorials tell me to do this.
    • You need to be more specific please. Are you making a new mod? Updating an old one? Trying to run mods? What is causing this error? As soon as you turn on your computer? When you open the minecraft launcher? You also say "reconfigured the system variables", but you don't say why, or which ones.   Also, I would advise using a newer forge, 31.1.0 is not the recommended build anymore.
    • Have you tried looking through the code, starting with SpawnerBlock?   Best guess, having not tried this myself, is that the TileEntity for the SpawnerBlock controls the spawning, so I'd start looking there. :) I just opened SpawnerBlock, and the createTileEntity() method returns a new MobSpawnerTileEntity, so following into that class, I see there's a private AbstractSpawner field called spawnerLogic, so I'd probably go there next (as well as scan the rest of the code in the tile entity just to see if there's anything useful). . .you see what I mean.   Find something that looks promising, attempt to implement it, then come back here if it doesn't work, post a link to your code (having a github repo is the best way to share your code, and you likely will get more help having one, since it's easier to search through/clone/debug/etc) and also your debug.log (posting as a github gist is probably the best way, again with a link to here).
    • Project 'ProjectName' is missing required library: 'C:\Windows\System32\unresolved dependency - net.minecraftforge forge 1.15.2-31.1.0_mapped_snapshot_20190719-1.14.3'   I can't do anything. I encounter this error over and over again, and it won't disappear. I do exactly what every tutorial tells me to do, and I find this error. Forge 1.15.2-31.1.0 is installed on my launcher and already ran some times. JRE and JDK 1.8.0_251 are both installed on my computer. I reconfigured the system variables. Now I don't know what else could I have done wrong.
  • Topics

  • Who's Online (See full list)